cronie-anacron-1.5.4-74.1.i586.rpm


Advertisement

Description

cronie-anacron - Utility for running regular jobs

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename cronie-anacron-1.5.4-74.1.i586.rpm
Package name cronie-anacron
Package version 1.5.4
Package release 74.1
Package architecture i586
Package type rpm
Category System/Base
Homepage https://github.com/cronie-crond/cronie
License BSD-3-Clause AND GPL-2.0-only AND MIT
Maintainer -
Download size 32.44 KB
Installed size 46.74 KB
Anacron becames part of cronie. Anacron is used only for running regular jobs.
The default settings execute regular jobs by anacron, however this could be
overloaded in settings.

Alternatives

Package Version Architecture Repository
cronie-anacron-1.5.4-74.1.x86_64.rpm 1.5.4 x86_64 openSUSE Oss
cronie-anacron - - -

Requires

Name Value
cronie = 1.5.4
libc.so.6(GLIBC_2.28) -

Provides

Name Value
config(cronie-anacron) = 1.5.4-74.1
cronie-anacron = 1.5.4-74.1
cronie-anacron(x86-32) = 1.5.4-74.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package cronie-anacron-1.5.4-74.1.i586.rpm
Source Package cronie-1.5.4-74.1.src.rpm

Install Howto

Install cronie-anacron rpm package:

# zypper install cronie-anacron

Files

Path
/etc/anacrontab
/etc/cron.hourly/0anacron
/usr/sbin/anacron
/usr/share/man/man5/anacrontab.5.gz
/usr/share/man/man8/anacron.8.gz
/var/spool/anacron/cron.daily
/var/spool/anacron/cron.monthly
/var/spool/anacron/cron.weekly

Changelog

2019-03-29 - Kristýna Streitová <kstreitova@suse.com>
- update to 1.5.4
* crond: Fix regression from previous release. Only first job
from a crontab was being run [bsc#1130746]
- add cronie-1.5.4-dont_abort_loading_crontab.patch to not abort
loading crontab prematurely in case of error
2019-03-17 - Kristýna Streitová <kstreitova@suse.com>
- update to 1.5.3
* Fix CVE-2019-9704 [bnc#1128937] and CVE-2019-9705 [bnc#1128935]
to avoid local DoS of the crond
* crontab: Make crontab without arguments fail
* crond: In PAM configuration include system-auth instead of
password-auth
* crond: In the systemd service file restart crond if it fails
* crond: Use the role from the crond context for system job
contexts
* Multiple small cleanups and fixes.
- refresh cronie-nheader_lines.diff and  cronie-pam_config.diff
2019-02-06 - Cristian Rodríguez <crrodriguez@opensuse.org>
- cron.service: No limit on the number of processes spawned by cron
shall be imposed.
2018-10-30 - Cristian Rodríguez <crrodriguez@opensuse.org>
- cronie-pam_config.diff: When crond is started with the -n
switch like it does with systemd, the manual explicitly
instructs to disable the pam_loginuid module.
2018-09-17 - kstreitova@suse.com
- update to 1.5.2
* cronnext: New useful utility to find out time of the next job
run.
* crond: Avoid creating PID files when crond doesn't fork.
* crontab: Do not try to replace the crontab with a directory.
* crond: Log startup even when started in non-forking mode.
* Multiple small cleanups and fixes.
- update Source address
- remove cronie-1.4.7-disable_logging.patch and restore the
original cronie behaviour (a line starting with a dash in
normal user's crontab is handled as incorrect), there was enough
time for crontab migration. Manpage part of the patch was applied
upstream
- remove cronie-nofork-nopid.patch (applied upstream)
- pack cronnext utility
- call autoreconf
2017-11-30 - rbrown@suse.com
- Requires mail as it's really needed by cron-crons script, not
smtp_daemon [bsc#1070565] [bsc#1064834]
2017-11-27 - jsegitz@suse.com
- Ensure that /etc/cron.{hourly,daily,weekly,monthly} have proper
permissions and owner. This is racy but prevents some LPE vectors
2017-11-24 - kstreitova@suse.com
- Requires smtp_daemon (not just Recommends) as it's needed by
run-crons script [bsc#1064834]
2017-11-23 - rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)
2017-08-21 - kukuk@suse.de
- Require group trusted if we use them

See Also

Package Description
cross-aarch64-binutils-2.32-5.1.i586.rpm GNU Binutils
cross-aarch64-binutils-2.32-5.1.x86_64.rpm GNU Binutils
cross-aarch64-gcc7-7.4.1+r270528-1.1.x86_64.rpm The GNU C Compiler and Support Files
cross-aarch64-gcc7-icecream-backend-7.4.1+r270528-1.1.x86_64.rpm Icecream backend for the GNU C Compiler
cross-aarch64-gcc8-8.3.1+r269200-1.1.x86_64.rpm The GNU C Compiler and Support Files
cross-aarch64-gcc8-icecream-backend-8.3.1+r269200-1.1.x86_64.rpm Icecream backend for the GNU C Compiler
cross-arm-binutils-2.32-5.1.i586.rpm GNU Binutils
cross-arm-binutils-2.32-5.1.x86_64.rpm GNU Binutils
cross-arm-gcc7-7.4.1+r270528-1.1.x86_64.rpm The GNU C Compiler and Support Files
cross-arm-gcc8-8.3.1+r269200-1.1.x86_64.rpm The GNU C Compiler and Support Files
cross-arm-none-gcc7-7.4.1+r270528-1.1.i586.rpm The GNU C Compiler and Support Files
cross-arm-none-gcc7-7.4.1+r270528-1.1.x86_64.rpm The GNU C Compiler and Support Files
cross-arm-none-gcc7-bootstrap-7.4.1+r270528-1.1.i586.rpm The GNU C Compiler and Support Files
cross-arm-none-gcc7-bootstrap-7.4.1+r270528-1.1.x86_64.rpm The GNU C Compiler and Support Files
cross-arm-none-gcc8-8.3.1+r269200-1.1.i586.rpm The GNU C Compiler and Support Files
Advertisement
Advertisement